/* @import url("https://unpkg.com/normalize.css") layer(normalize); */

/* @layer normalize, base, demo; */

@layer demo {
  body {
    background: light-dark(#fff, #000);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
    padding-block: 2rem;
  }

  h1,
  p {
    margin: 0;
  }

  h1.fluid {
    --font-size-min: 22;
    --font-level: 4.25;
  }

  h3 {
    white-space: nowrap;
    margin: 0;
  }

  body > p {
    width: 74ch;
    max-width: calc(100% - 4rem);
    text-wrap: balance;
    font-family: monospace;
    margin-bottom: 4rem;
    line-height: 1.5;
    opacity: 0.8;
    font-weight: 400;
  }

  .websites-header-para {
    text-align: center;
  }
}

/* CARDDDDDDDDDDDDDDDDDDDDDDDD */
.card-wrapper {
  display: flex;
  flex-wrap: wrap;
  padding: 0 8vw;
}

.card:hover {
  transform: scale(1.03);
  transition: transform 0.5s ease;
}

.card {
  width: 38vw;
  border: 1px solid white;
  border-radius: 10px;
  margin: 1vw;
  position: relative;
  height: 300px;

  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("https://picsum.photos/720/720?random=12") center/cover no-repeat;
  display: flex;
  align-items: flex-end;
  padding: 20px;
  color: white;
  font-family: "Courier New", monospace;
}

.card1 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/vorpLive.png") center/cover no-repeat;
}

.card2 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/creativeMaps.png") center/cover no-repeat;
}

.card3 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/ashoka.png") center/cover no-repeat;
}

.card4 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/aviral.png") center/cover no-repeat;
}

.card5 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/sonamMakhija.png") center/cover no-repeat;
}

.card6 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/kaas.png") center/cover no-repeat;
}

.card7 {
  background: linear-gradient(
      -330deg,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0.7) 50%,
      rgba(0, 0, 0, 0.3) 75%,
      rgba(0, 0, 0, 0) 100%
    ),
    url("./assets/UAI.png") center/cover no-repeat;
}

.card h3 {
  position: absolute;
  top: 1rem;
  left: calc(var(--base) * 0.5);
  transform-origin: 0 50%;
  rotate: 90deg;
  font-size: 1rem;
  font-weight: 300;
  text-transform: uppercase;
  font-family: monospace;
}

.card svg {
  width: 18px;
  fill: none;
}

.card p {
  font-size: 13px;
  text-wrap: balance;
  line-height: 1.25;
  --opacity: 0.8;
  width: 70%;
  margin-bottom: 1.3vh;
}

.live-wrapper {
  display: flex;
  align-items: center;
}

.card a {
  /* position: absolute; */
  /* bottom: 1rem; */
  /* height: 18px; */
  /* line-height: 1; */
  font-size: 14px;
  color: inherit;
  font-family: monospace;
}

.live-wrapper span {
  text-decoration: underline;
  text-underline-offset: 4px;

  display: inline-block;
  margin-left: 10px;
  line-height: 18px;
  translate: calc(var(--base) * 0.5);
  font-weight: 500;
}

@media (max-width: 1000px) {
  .card {
    width: 75vw;
    margin: 2vw;
  }
}
